# Getting Market Information

General information about a stablecoin [market](https://docs.anchorprotocol.com/anchor-2/protocol/money-market#depositing-terra-stablecoins) can be retrieved via the below endpoint:

| Endpoint                                         | Method | Description                                            |
| ------------------------------------------------ | ------ | ------------------------------------------------------ |
| [`stablecoin_info`](#get-stablecoin-information) | GET    | Gets information about the specified stablecoin market |

{% hint style="warning" %}
Due to the asynchronous nature of EthAnchor, the actual aTerra exchange rate applied **will be different** to the exchange rate returned by `stablecoin_info`. The expected receive amount calculated using this value **WILL NOT** match the actual receive amount.
{% endhint %}

## Get stablecoin information

<mark style="color:blue;">`GET`</mark> `https://eth-api.anchorprotocol.com/api/v1/stablecoin_info/{stable_denom}`

`GET /api/v1/stablecoin_info/{stable_denom}` allows you to query the current status of money market with `stable_denom` as the quote.

#### Query Parameters

| Name          | Type   | Description                                                                 |
| ------------- | ------ | --------------------------------------------------------------------------- |
| stable\_denom | string | <p>Money market quote stablecoin denom.<br>Example: <code>"uusd"</code></p> |

{% tabs %}
{% tab title="200 Money market state successfully retrieved." %}

```
{
    // Denom
    // denom of the stablecoin money market
    “stable_denom”: “uusd”,

    // LiquidTerra
    // liquidTerra is the currently available stablecoin pool size in money market.
    “liquid_terra”: “100000”,

    // ExchangeRate
    // exchange rate between aTerra <> stablecoin (e.g. aUST <> UST)
    “exchange_rate”: “1.0123”,

    // LastUpdated
    // Unix timestamp at which the last update to this response has been made
    "last_updated": 1608710761,
    
    // Current APY
    // Yearly yield on anchor deposits
    "current_apy": "0.19993179664890999"

    // ##################################################
    // # Below fields are borrower-related information. #
    // ##################################################

    // BorrowedTerra
    // Sum of all borrowed liabilities in this money market
    "borrowed_terra": "1000000",

    // UtilizationRatio
    // Ratio between borrowed deposit and total stablecoin deposit  
    "utilization_ratio": "0.5",

    // BorrowInterest
    // Interest rate per block
    "borrow_interest": "0.000000005707763",
}
```

{% endtab %}

{% tab title="404 Money market of the provided denom could not be found." %}

```
{
    "error": "money market not found"
}
```

{% endtab %}
{% endtabs %}
